import 'package:legacy_dashboard_shell/src/presentation/legacy_main_shell_view_state.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class LegacyMainShellViewModel extends Notifier<LegacyMainShellViewState> {
  @override
  LegacyMainShellViewState build() {
    return LegacyMainShellViewState();
  }

  void onTabChanged(int index) {
    state = state.copyWith(selectedIndex: index);
  }
}
